Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ConnectionNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.sun.messaging.jms.management.server.MQNotification
                  com.sun.messaging.jms.management.server.ConnectionNotification

All Implemented Interfaces:
  java.io.Serializable

    public class ConnectionNotification

extends MQNotification

Class containing information on cluster operations.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONNECTION_CLOSE` A connection was closed.
`static java.lang.String` | `CONNECTION_OPEN` A connection was created.
`static java.lang.String` | `CONNECTION_REJECT` A connection was rejected.

Fields inherited from class com.sun.messaging.jms.management.server.MQNotification
`PREFIX`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`ConnectionNotification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a ConnectionNotification object.

Method Summary
`java.lang.String` | `getConnectionID()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getUserName()`
`void` | `setConnectionID(java.lang.String id)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_OPEN

    public static final java.lang.String CONNECTION_OPEN

  A connection was created.

  See Also:
    Constant Field Values

### CONNECTION_CLOSE

    public static final java.lang.String CONNECTION_CLOSE

  A connection was closed.

  See Also:
    Constant Field Values

### CONNECTION_REJECT

    public static final java.lang.String CONNECTION_REJECT

  A connection was rejected.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionNotification

    public ConnectionNotification(java.lang.String type,
                                  java.lang.Object source,
                                  long sequenceNumber)

  Creates a ConnectionNotification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

Method Detail

### setConnectionID

    public void setConnectionID(java.lang.String id)

### getConnectionID

    public java.lang.String getConnectionID()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### getServiceName

    public java.lang.String getServiceName()

### setUserName

    public void setUserName(java.lang.String userName)

### getUserName

    public java.lang.String getUserName()

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

### getRemoteHost

    public java.lang.String getRemoteHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.